# create_windows_links

Installation script for the eric IDE and all eric related tools.

### Global Attributes

None

### Classes

None

### Functions

createWindowsShortcut | Create Windows shortcut.
getWinregEntry | Function to get an entry from the Windows Registry.
main | Create Desktop and Start Menu links.
windowsDesktopEntries | Function to generate data for the Windows Desktop links.
windowsDesktopNames | Function to generate the link names for the Windows Desktop.
windowsProgramsEntry | Function to generate the name of the Start Menu top entry.

## createWindowsShortcut

createWindowsShortcut(linkPath, targetPath, iconPath)

Create Windows shortcut.

linkPath (str)
  path of the shortcut file
targetPath (str)
  path the shortcut shall point to
iconPath (str)
  path of the icon file

Up

## getWinregEntry

getWinregEntry(name, path)

Function to get an entry from the Windows Registry.

name (str)
  variable name
path (str)
  registry path of the variable

Return:
  value of requested registry variable

Return Type:
  any

Up

## main

main(argv)

Create Desktop and Start Menu links.

argv (list of str)
  list of command line arguments

Up

## windowsDesktopEntries

windowsDesktopEntries()

Function to generate data for the Windows Desktop links.

Return:
  list of tuples containing the desktop link name, the link target and the icon target

Return Type:
  list of tuples of (str, str, str)

Up

## windowsDesktopNames

windowsDesktopNames()

Function to generate the link names for the Windows Desktop.

Return:
  list of desktop link names

Return Type:
  list of str

Up

## windowsProgramsEntry

windowsProgramsEntry()

Function to generate the name of the Start Menu top entry.

Return:
  name of the Start Menu top entry

Return Type:
  str

Up